umbrello: UIOptionsPage Class Reference

umbrello 2.38.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Slots | Protected Member Functions | Protected Attributes | List of all members
UIOptionsPage Class Reference

A dialog page to display the user interface options. More...

`#include <uioptionspage.h>`

Inheritance diagram for UIOptionsPage:

## Public Member Functions
| UIOptionsPage (QWidget *parent, Settings::OptionState *options)
virtual | ~UIOptionsPage ()
void | setDefaults ()
void | apply ()
Public Member Functions inherited from DialogPageBase
| DialogPageBase (QWidget *parent)
virtual | ~DialogPageBase ()
virtual bool | isModified ()

## Protected Slots
void | slotTextCBChecked (bool value)
void | slotLineCBChecked (bool value)
void | slotFillCBChecked (bool value)
void | slotGridCBChecked (bool value)
void | slotBgCBChecked (bool value)
void | slotLineWidthCBChecked (bool value)

## Protected Member Functions
void | setupPage ()
Protected Member Functions inherited from DialogPageBase
virtual void | keyPressEvent (QKeyEvent *event)

## Protected Attributes
Settings::OptionState * | m_options
QCheckBox * | m_rightToLeftUI
QGroupBox * | m_colorGB
QCheckBox * | m_textColorCB
QCheckBox * | m_lineColorCB
QCheckBox * | m_fillColorCB
QCheckBox * | m_lineWidthCB
QCheckBox * | m_gridColorCB
QCheckBox * | m_bgColorCB
KColorButton * | m_textColorB
KColorButton * | m_lineColorB
KColorButton * | m_fillColorB
KColorButton * | m_gridColorB
KColorButton * | m_bgColorB
QSpinBox * | m_lineWidthB
QCheckBox * | m_useFillColorCB
SelectLayoutTypeWidget * | m_layoutTypeW
Protected Attributes inherited from DialogPageBase
bool | m_isModified

## Detailed Description

A dialog page to display the user interface options.

A dialog page to display user interface options This dialog is either embedded into SettingsDialog, UMLViewDialog and ClassPropertiesDialog

Author
  Paul Hensgen
  Ralf Habacker ralf..nosp@m.haba.nosp@m.cker@.nosp@m.free.nosp@m.net.d.nosp@m.e Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ UIOptionsPage()

UIOptionsPage::UIOptionsPage | ( | QWidget * | pParent,
|  | Settings::OptionState * | options
| ) |  |

Constructor - observe and modify an OptionState structure

Parameters

  pParent | Parent widget
  options | Settings to read from/save into

## ◆ ~UIOptionsPage()

UIOptionsPage::~UIOptionsPage | ( |  | ) |
| virtual

Destructor

## Member Function Documentation

## ◆ apply()

void UIOptionsPage::apply | ( |  | ) |

apply changes

## ◆ setDefaults()

void UIOptionsPage::setDefaults | ( |  | ) |

## ◆ setupPage()

void UIOptionsPage::setupPage | ( |  | ) |
| protected

Creates the page with the correct options for the class/interface

## ◆ slotBgCBChecked

void UIOptionsPage::slotBgCBChecked | ( | bool | value | ) |
| protectedslot

## ◆ slotFillCBChecked

void UIOptionsPage::slotFillCBChecked | ( | bool | value | ) |
| protectedslot

## ◆ slotGridCBChecked

void UIOptionsPage::slotGridCBChecked | ( | bool | value | ) |
| protectedslot

## ◆ slotLineCBChecked

void UIOptionsPage::slotLineCBChecked | ( | bool | value | ) |
| protectedslot

## ◆ slotLineWidthCBChecked

void UIOptionsPage::slotLineWidthCBChecked | ( | bool | value | ) |
| protectedslot

## ◆ slotTextCBChecked

void UIOptionsPage::slotTextCBChecked | ( | bool | value | ) |
| protectedslot

## Member Data Documentation

## ◆ m_bgColorB

KColorButton* UIOptionsPage::m_bgColorB
| protected

## ◆ m_bgColorCB

QCheckBox* UIOptionsPage::m_bgColorCB
| protected

## ◆ m_colorGB

QGroupBox* UIOptionsPage::m_colorGB
| protected

## ◆ m_fillColorB

KColorButton* UIOptionsPage::m_fillColorB
| protected

## ◆ m_fillColorCB

QCheckBox* UIOptionsPage::m_fillColorCB
| protected

## ◆ m_gridColorB

KColorButton* UIOptionsPage::m_gridColorB
| protected

## ◆ m_gridColorCB

QCheckBox* UIOptionsPage::m_gridColorCB
| protected

## ◆ m_layoutTypeW

SelectLayoutTypeWidget* UIOptionsPage::m_layoutTypeW
| protected

## ◆ m_lineColorB

KColorButton* UIOptionsPage::m_lineColorB
| protected

## ◆ m_lineColorCB

QCheckBox* UIOptionsPage::m_lineColorCB
| protected

## ◆ m_lineWidthB

QSpinBox* UIOptionsPage::m_lineWidthB
| protected

## ◆ m_lineWidthCB

QCheckBox* UIOptionsPage::m_lineWidthCB
| protected

## ◆ m_options

Settings::OptionState* UIOptionsPage::m_options
| protected

## ◆ m_rightToLeftUI

QCheckBox* UIOptionsPage::m_rightToLeftUI
| protected

## ◆ m_textColorB

KColorButton* UIOptionsPage::m_textColorB
| protected

## ◆ m_textColorCB

QCheckBox* UIOptionsPage::m_textColorCB
| protected

## ◆ m_useFillColorCB

QCheckBox* UIOptionsPage::m_useFillColorCB
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/pages/uioptionspage.h
- umbrello/dialogs/pages/uioptionspage.cpp